<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Bootstrap: Components Activity</title>

    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
    />
  </head>
  <body class="bg-dark">
    <div class="container text-white">
      <h3 class="text-center mt-5">Contact Me</h3>
      <div class="row justify-content-center text-center">
        <div class="col-sm-12 col-md-8 col-lg-8 col-xl-4">
          <form class="bg-primary p-3">
            <div class="form-group">
              <label for="name">Name</label>
              <input
                type="text"
                class="form-control"
                id="name"
                placeholder="Your Name"
              />
            </div>
            <div class="form-group">
              <label for="email">Email Address</label>
              <input
                type="email"
                class="form-control"
                id="email"
                placeholder="name@example.com"
              />
            </div>
            <div class="form-group">
              <label for="contactNumber">Contact Number</label>
              <input
                type="number"
                class="form-control"
                id="contactNumber"
                placeholder="+63 900 000 0000"
              />
            </div>
            <div class="form-group">
              <label for="concern">Concern</label>
              <select class="form-control" id="concern">
                <option>Quotation</option>
                <option>Appointment</option>
                <option>Follow-Up</option>
              </select>
            </div>
            <div class="form-group">
              <label for="message">Message</label>
              <textarea class="form-control" id="message" rows="5"></textarea>
            </div>
            <button
              type="submit"
              class="btn btn-dark"
              data-toggle="modal"
              data-target="#formModal"
            >
              Send Email
            </button>
          </form>
        </div>
      </div>
    </div>

    <div
      class="modal fade"
      id="formModal"
      tabindex="-1"
      role="dialog"
      aria-labelledby="formModalLabel"
      aria-hidden="true"
    >
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="formModalLabel">
              Thank you for contacting us!
            </h5>
            <button
              type="button"
              class="close"
              data-dismiss="modal"
              aria-label="Close"
            >
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body text-center">Message Successfully Sent</div>
          <div class="modal-footer">
            <button
              type="button"
              class="btn btn-secondary"
              data-dismiss="modal"
            >
              Close
            </button>
          </div>
        </div>
      </div>
    </div>
  </body>

  <!-- Bootstrap Script -->
  <script
    src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
    integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
    crossorigin="anonymous"
  ></script>
  <script
    src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF"
    crossorigin="anonymous"
  ></script>
  <!-- End of Bootstrap Script -->
</html>
